DEPTHRANGE(3CgFX)

NAME
DepthRange - 3D API depth range

USAGE
DepthRange = float2(near, far)

VALID ENUMERANTS
near, far: floating point values

DESCRIPTION
Specify the mapping of the near and far clipping planes to window coordinates. See the OpenGL glDepthRange manual page for details. See the IDirect3DDevice9::SetViewport method for details.

The standard reset callback sets the DepthRange state to float2(0, 1).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
DepthBias, DepthBounds, DepthBoundsEnable, DepthClampEnable, DepthFunc, DepthMask, DepthTestEnable